Bug 262572 - www/minio package is not downloadable
Summary: www/minio package is not downloadable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-15 15:18 UTC by Markus Langer
Modified: 2022-05-14 13:59 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
poudriere fetch log (6.84 KB, text/plain)
2022-03-25 17:27 UTC, Oscar Carlsson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Langer 2022-03-15 15:18:54 UTC
when i tried to build this port i found out that the package:
 https://codeload.github.com/minio/direct-csi/tar.gz/f7776f7961bf?dummy=/minio-direct-csi-f7776f7961bf_GH0.tar.gz

was not downloadable because direct-csi changed it's name to directpv

best regards,
langerma
Comment 1 Oscar Carlsson 2022-03-25 17:27:42 UTC
Created attachment 232719 [details]
poudriere fetch log

attaching a poudriere fetch log for this port, but it's the same error message as mentioned previously
Comment 3 Oscar Carlsson 2022-04-18 10:20:57 UTC
Can I help resolve this in any way? I'd really like to have minio again, but I know close to nothing of how to fix this :-(
Comment 4 commit-hook freebsd_committer 2022-05-14 13:58:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c1d873cc475ac71b32ab52e0ffe4cc39c52b7dfc

commit c1d873cc475ac71b32ab52e0ffe4cc39c52b7dfc
Author:     Dmitri Goutnik <dmgk@FreeBSD.org>
AuthorDate: 2022-05-14 13:48:55 +0000
Commit:     Dmitri Goutnik <dmgk@FreeBSD.org>
CommitDate: 2022-05-14 13:53:30 +0000

    www/minio: Unbreak build

    Rename GH_TUPLE package that was renamed upstream, regenerate distinfo:

    => Attempting to fetch https://codeload.github.com/minio/direct-csi/tar.gz/f7776f7961bf?dummy=/minio-direct-csi-f7776f7961bf_GH
    fetch: https://codeload.github.com/minio/direct-csi/tar.gz/f7776f7961bf?dummy=/minio-direct-csi-f7776f7961bf_GH0.tar.gz: size u
    fetch: https://codeload.github.com/minio/direct-csi/tar.gz/f7776f7961bf?dummy=/minio-direct-csi-f7776f7961bf_GH0.tar.gz: size o
    minio-direct-csi-f7776f7961bf_GH0.tar.gz               256 kB  446 kBps    01s
    => Fetched file size mismatch (expected 262749, actual 262770)

    PR:             262572
    Approved by:    portmgr (blanket, build fix)

 www/minio/Makefile | 2 +-
 www/minio/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)